streamidentifier
Configuration for identifier resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | The name of stream identifier. |
| selectorname | <String> | Read-write | Name of the selector to use with the stream identifier.
Minimum length = 1
|
| interval | <Integer> | Read-write | Number of minutes of data to use when calculating session statistics (number of requests, bandwidth, and response times). The interval is a moving window that keeps the most recently collected data. Older data is discarded at regular intervals.
Default value: 1
Minimum value = 1
Maximum value = 10080
|
| samplecount | <Integer> | Read-write | Size of the sample from which to select a request for evaluation. The smaller the sample count, the more accurate is the statistical data. To evaluate all requests, set the sample count to 1. However, such a low setting can result in excessive consumption of memory and processing resources.
Default value: 1
Minimum value = 1
Maximum value = 65535
|
| sort | <String> | Read-write | Sort stored records by the specified statistics column, in descending order. Performed during data collection, the sorting enables real-time data evaluation through Citrix ADC policies (for example, compression and caching policies) that use functions such as IS_TOP(n).
Default value: REQUESTS
Possible values = REQUESTS, CONNECTIONS, RESPTIME, BANDWIDTH, RESPTIME_BREACHES, TOKENS, NONE
|
| snmptrap | <String> | Read-write | Enable/disable SNMP trap for stream identifier.
Default value: DISABLED
Possible values = ENABLED, DISABLED
|
| appflowlog | <String> | Read-write | Enable/disable Appflow logging for stream identifier.
Default value: DISABLED
Possible values = ENABLED, DISABLED
|
| trackackonlypackets | <String> | Read-write | Track ack only packets as well. This setting is applicable only when packet rate limiting is being used.
Default value: DISABLED
Possible values = ENABLED, DISABLED
|
| tracktransactions | <String> | Read-write | Track transactions exceeding configured threshold. Transaction tracking can be enabled for following metrics: ResponseTime (RESPTIME) or LLM token consumption (TOKENS).
When set to TOKENS, minTransactionThreshold, maxTransactionThreshold, acceptanceThreshold and breachThreshold are not applicable.
By default transaction tracking is disabled.
Default value: NONE
Possible values = RESPTIME, TOKENS, NONE
|
| maxtransactionthreshold | <Integer> | Read-write | Maximum per transcation value of metric. Metric to be tracked is specified by tracktransactions attribute.
Default value: 0
|
| mintransactionthreshold | <Integer> | Read-write | Minimum per transcation value of metric. Metric to be tracked is specified by tracktransactions attribute.
Default value: 0
|
| acceptancethreshold | <String> | Read-write | Non-Breaching transactions to Total transactions threshold expressed in percent.
Maximum of 6 decimal places is supported.
Default value: 0.000000
Maximum length = 10
|
| breachthreshold | <Integer> | Read-write | Breaching transactions threshold calculated over interval.
Default value: 0
|
| log | <String> | Read-write | Location where objects collected on the identifier will be logged.
Default value: NONE
Possible values = SYSLOG, NONE
|
| loginterval | <Integer> | Read-write | Time interval in minutes for logging the collected objects.
Log interval should be greater than or equal to the inteval
of the stream identifier.
Default value: 5
Minimum value = 1
Maximum value = 10080
|
| loglimit | <Integer> | Read-write | Maximum number of objects to be logged in the log interval.
Default value: 100
Minimum value = 1
Maximum value = 1000
|
| rule | <String[]> | Read-only | Rule. |
| _nextgenapiresource | <String> | Read-only | . |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- UPDATE
- UNSET
- DELETE
- GET (ALL)
- GET
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"streamidentifier":{
<b>"name":<String_value>,
</b><b>"selectorname":<String_value>,
</b>"interval":<Integer_value>,
"samplecount":<Integer_value>,
"sort":<String_value>,
"snmptrap":<String_value>,
"appflowlog":<String_value>,
"trackackonlypackets":<String_value>,
"tracktransactions":<String_value>,
"maxtransactionthreshold":<Integer_value>,
"mintransactionthreshold":<Integer_value>,
"acceptancethreshold":<String_value>,
"breachthreshold":<Integer_value>,
"log":<String_value>,
"loginterval":<Integer_value>,
"loglimit":<Integer_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
update
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"streamidentifier":{
<b>"name":<String_value>,
</b>"selectorname":<String_value>,
"interval":<Integer_value>,
"samplecount":<Integer_value>,
"sort":<String_value>,
"snmptrap":<String_value>,
"appflowlog":<String_value>,
"trackackonlypackets":<String_value>,
"tracktransactions":<String_value>,
"maxtransactionthreshold":<Integer_value>,
"mintransactionthreshold":<Integer_value>,
"acceptancethreshold":<String_value>,
"breachthreshold":<Integer_value>,
"log":<String_value>,
"loginterval":<Integer_value>,
"loglimit":<Integer_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier? action=unset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"streamidentifier":{
<b>"name":<String_value>,
</b>"selectorname":true,
"interval":true,
"samplecount":true,
"sort":true,
"snmptrap":true,
"appflowlog":true,
"trackackonlypackets":true,
"tracktransactions":true,
"maxtransactionthreshold":true,
"mintransactionthreshold":true,
"acceptancethreshold":true,
"breachthreshold":true,
"log":true,
"loginterval":true,
"loglimit":true
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier/ name_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of streamidentifier resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier? view=summary
Use this query-parameter to get the summary output of streamidentifier resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier? pagesize=#no;pageno=#no
Use this query-parameter to get the streamidentifier resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "streamidentifier": [ {
"name":<String_value>,
"selectorname":<String_value>,
"rule":<String[]_value>,
"interval":<Integer_value>,
"samplecount":<Integer_value>,
"sort":<String_value>,
"snmptrap":<String_value>,
"appflowlog":<String_value>,
"trackackonlypackets":<String_value>,
"tracktransactions":<String_value>,
"maxtransactionthreshold":<Integer_value>,
"mintransactionthreshold":<Integer_value>,
"acceptancethreshold":<String_value>,
"breachthreshold":<Integer_value>,
"log":<String_value>,
"loginterval":<Integer_value>,
"loglimit":<Integer_value>,
"_nextgenapiresource":<String_value>
}]}
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier/ name_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier/ name_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier/ name_value<String> ? view=summary
Use this query-parameter to get the summary output of streamidentifier resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "streamidentifier": [ {
"name":<String_value>,
"selectorname":<String_value>,
"rule":<String[]_value>,
"interval":<Integer_value>,
"samplecount":<Integer_value>,
"sort":<String_value>,
"snmptrap":<String_value>,
"appflowlog":<String_value>,
"trackackonlypackets":<String_value>,
"tracktransactions":<String_value>,
"maxtransactionthreshold":<Integer_value>,
"mintransactionthreshold":<Integer_value>,
"acceptancethreshold":<String_value>,
"breachthreshold":<Integer_value>,
"log":<String_value>,
"loginterval":<Integer_value>,
"loglimit":<Integer_value>,
"_nextgenapiresource":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/streamidentifier? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "streamidentifier": [ { "__count": "#no"} ] }